<?php
declare (strict_types = 1);

namespace app\admin\middleware;
class checkRela
{
    public $supperAction=[
    	"admin/payadd",#对账新建
    	"admin/paysave",#对账编辑
    	"admin/paydel",#对账删除
    	"admin/invadd",#回票申请新建
    	"admin/invAddBatchByImport",#回票申请批量
    	"admin/invdel",#回票申请删除
    	"admin/hpinvreturn", #回票申请退票
    	"admin/stagereturn",#付款申请退款
    	];
    /**
		* @param $request
		* @param \Closure $next
	    * @return mixed|\think\response\Json|void
	 */
    public function handle($request, \Closure $next)
    {
		$pathinfo =$request->pathinfo();
		$relaComNo =$request->param("relaComNo");
        if (in_array($request->level, [2, 3])) {

            if (in_array($pathinfo, $this->supperAction) && $request->level == 2) {

                if ($relaComNo == '') return error_show(1004, "关联公司不能为空");
                $companyinfo = UserHandle("/hqInfo", ["code" => $relaComNo]);
                if ($companyinfo['code'] != 0) return error_show($companyinfo['code'], $companyinfo['message']);
                if (!empty($companyinfo['data']) && $companyinfo['data']['relation_code'] != "") {
                 $db= UserHandle("/userCompanyBasicList", ["companyNo" =>$companyinfo['data']['relation_code']]);
	                if ($db['code'] != 0) return ["code"=>$db['code'],"message"=> $db['message']];
	                if (!empty($db['data']) && $db['data']['count'] > 0) {
//	                    return error_show(1004,"供应商公司存在操作账户,请用供应商账户操作");
	                }

                }
            }
        }

        return $next($request);
    }


}
